Scilab Function
Last update : 02/09/2005

loadwave - load a sound wav file into scilab

### Calling Sequence

  `x=loadwave(filename);`
  `[x,y]=loadwave(filename);`

### Parameters

- `filename`: a string. The path of the wav file to be loaded
- `x`: a matrix one line for each channel
- `y`: vector

### Description

Reads a `.wav` sound file into Scilab as a matrix. If y is given, it is filled with information about the samples (See the message sent by `loadwave`).

### Examples

    // At first we create 0.5 seconds of sound parameters.
    t=soundsec(0.5);
    // Then we generate the sound: a two channels sound.
    s=[sin(2*%pi*440*t);sin(2*%pi*350*t)];
    savewave(TMPDIR+'/foo.wav',s);
    s1=loadwave(TMPDIR+'/foo.wav');
    max(abs(s1-s))

### See Also

`savewave`, `analyze`, `mapsound`,